Query tasks

Searches for Tasks that match specified filtering criteria and returns matching tasks in paginated form. This method allows filtering tasks based on the following criteria: - Parent-task relationships. - Task status with inclusive or exclusive filtering. - Update time ranges. Lattice returns the results in pages. When more results are available than can be returned in a single response, a `page_token` is provided. Use the `page_token` in subsequent requests to retrieve the next set of results. By default, this returns the latest task version for each matching task.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
pageTokenstringOptional
If set, returns results starting from the given pageToken.
parentTaskIdstringOptional
If present matches tasks with this parent task ID. This is mutually exclusive with all other query parameters, for example, either provide parent task ID, or any of the remaining parameters, but not both.
statusFilterobjectOptional
updateTimeRangeobjectOptional
If provided, only provides tasks updated within the time range.

Response

Task query was successful
taskslist of objects
nextPageTokenstring

Incomplete results can be detected by a non-empty nextPageToken field in the query results. In order to retrieve the next page, perform the exact same request as previously and append a pageToken field with the value of nextPageToken from the previous page. A new nextPageToken is provided on the following pages until all the results are retrieved.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error